Debian Squeeze i PHP 5.4

      1 komentarz do Debian Squeeze i PHP 5.4

Część z Was zapewne rozważa już migrację aplikacji internetowych na nowszego „Pehapa”. Jednakże w obecnej chwili (5.01.2013) w repozytorium Debiana Squeeze jest wersja 5.3.3-7, natomiast w PHP 5.4 będzie dostępne dopiero w Debianie Wheeze.

Prostym i szybkim rozwiązaniem jest skorzystanie z mniej stabilnych, ale „świeższych” pakietów z dotdeb.org.

 

Instrukcja:

  • Do pliku /etc/apt/source.list dodaj poniższe linijki:

deb http://packages.dotdeb.org squeeze-php54 all
deb-src http://packages.dotdeb.org squeeze-php54 all

  • Wpisz polecenia:

[sudo] wget -O – http://www.dotdeb.org/dotdeb.gpg | [sudo] apt-key add –
[sudo] aptitude update
[sudo] aptitude safe-upgrade

  • Jeśli jeszcze nie posiadasz zainstalowanego PHP, wpisz poniższe polecenie

[sudo] aptitude install php5

 

W ten sposób zaktualizowałeś całego PHP’a do najnowszej dostępnej w tym repo wersji, a także otrzymałeś dostęp do wielu nowszych pakietów z repozytorium Dotdeb.org

One thought on “Debian Squeeze i PHP 5.4

Dodaj komentarz

Twój adres email nie zostanie opublikowany. Pola, których wypełnienie jest wymagane, są oznaczone symbolem *